Skip to main content
POST
/
api
/
2.0
/
referral_orders
Create Referral Order
curl --request POST \
  --url https://sandbox.elationemr.com/api/2.0/referral_orders/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "auth_number": "<string>",
  "consultant_name": "<string>",
  "date_for_reEval": "2023-12-25",
  "patient": 123,
  "practice": 123,
  "short_consultant_name": "<string>",
  "specialty": {
    "abbreviation": "<string>",
    "name": "<string>",
    "practice_created": 123
  },
  "authorization_for_short": "<string>",
  "icd10_codes": [
    {
      "code": "<string>",
      "description": "<string>"
    }
  ]
}
'
{
  "auth_number": "<string>",
  "consultant_name": "<string>",
  "date_for_reEval": "2023-12-25",
  "patient": 123,
  "practice": 123,
  "short_consultant_name": "<string>",
  "specialty": {
    "abbreviation": "<string>",
    "name": "<string>",
    "practice_created": 123,
    "category": {
      "name": "<string>",
      "abbreviation": "<string>",
      "created_date": "2023-11-07T05:31:56Z",
      "id": 123
    },
    "created_date": "2023-11-07T05:31:56Z",
    "id": 123
  },
  "authorization_for_short": "<string>",
  "icd10_codes": [
    {
      "code": "<string>",
      "description": "<string>"
    }
  ],
  "id": 123,
  "letter": 123,
  "referral_letter": {
    "body": "<string>",
    "delivery_date": "2023-11-07T05:31:56Z",
    "id": 123,
    "sign_date": "2023-11-07T05:31:56Z"
  },
  "resolution": {
    "created_date": "2023-11-07T05:31:56Z",
    "deleted_date": "2023-11-07T05:31:56Z",
    "document": 123,
    "id": 123,
    "note": "<string>",
    "resolving_document": 123
  },
  "sign_date": "2023-11-07T05:31:56Z",
  "signed_by": 123
}

Documentation Index

Fetch the complete documentation index at: https://help.elationhealth.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json
auth_number
string | null
required
Maximum string length: 20
consultant_name
string | null
required
Maximum string length: 1024
date_for_reEval
string<date> | null
required
patient
integer<int64>
required
practice
integer<int64>
required
short_consultant_name
string | null
required
Maximum string length: 1024
specialty
object
required
authorization_for
enum<string> | null
Available options:
Consult (One Visit Only),
Procedure / Testing Only,
Referral For Treatment, includes Consult Visit
authorization_for_short
string | null
icd10_codes
object[]
resolution
object

Response

201 - application/json
auth_number
string | null
required
Maximum string length: 20
consultant_name
string | null
required
Maximum string length: 1024
date_for_reEval
string<date> | null
required
patient
integer<int64>
required
practice
integer<int64>
required
short_consultant_name
string | null
required
Maximum string length: 1024
specialty
object
required
authorization_for
enum<string> | null
Available options:
Consult (One Visit Only),
Procedure / Testing Only,
Referral For Treatment, includes Consult Visit
authorization_for_short
string | null
icd10_codes
object[]
id
integer
read-only
letter
integer<int64>
deprecated
read-only

The letter associated with this referral order. Use referral_letter for the full nested letter object.

referral_letter
object

Nested letter object with full details.

resolution
object
sign_date
string<date-time> | null
read-only

The datetime when this referral order was signed.

signed_by
integer
read-only

The ID of the user who signed this referral order.